From: Nathan Tobin <nathantobin@porch.com>
Date: Wed, 19 Feb 2025 12:48:28 -0500
Subject: revert commit be63630
Origin: https://github.com/contributte/nusoap/pull/131
Bug: https://github.com/contributte/nusoap/issues/123#issuecomment-2665318138

--- a/src/nusoap.php
+++ b/src/nusoap.php
@@ -4463,11 +4463,9 @@

             // get/set custom response tag name
             $opData = $this->wsdl->getOperationData($this->methodname);
-	    if (!isset($opData['output']['name'])) {
-		$this->debug('No output name in WSDL for operation ' . $this->methodname);
-		$this->setError('Operation ' . $this->methodname . ' not present in WSDL');
-		return false;
-	    }
+            if ($message = $opData['output']['message']) {
+                $this->responseTagName = $message;
+            }
             $this->debug('responseTagName: ' . $this->responseTagName . ' methodURI: ' . $this->methodURI);

             $this->debug('calling parser->get_soapbody()');
